## Index

### Functions

- addLineItems
- changeLineItemQuantity
- create
- createFromOrder
- findActiveCart
- findById
- removeLineItem
- setBillingAddress
- setShippingAddress
- setShippingMethod
- updateByActions

## Functions

### addLineItems

- addLineItems(cartId: string, cartVersion: number, lineItems: IAddLineItem | IAddLineItem[], token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:123

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### lineItems: IAddLineItem | IAddLineItem[]

  - ##### token: string

  #### Returns Promise<Cart>

### changeLineItemQuantity

- changeLineItemQuantity(cartId: string, cartVersion: number, action: IChangeLineItemQuantity, token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:143

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### action: IChangeLineItemQuantity

  - ##### token: string

  #### Returns Promise<Cart>

### create

- create(token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:24

  #### Parameters

  - ##### token: string

  #### Returns Promise<Cart>

### createFromOrder

- createFromOrder(orderId: string, token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:49

  #### Parameters

  - ##### orderId: string

  - ##### token: string

  #### Returns Promise<Cart>

### findActiveCart

- findActiveCart(token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:90

  #### Parameters

  - ##### token: string

  #### Returns Promise<Cart>

### findById

- findById(cartId: string, token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:79

  #### Parameters

  - ##### cartId: string

  - ##### token: string

  #### Returns Promise<Cart>

### removeLineItem

- removeLineItem(cartId: string, cartVersion: number, lineItemId: string, token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:162

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### lineItemId: string

  - ##### token: string

  #### Returns Promise<Cart>

### setBillingAddress

- setBillingAddress(cartId: string, cartVersion: number, address: Address, token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:198

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### address: Address

  - ##### token: string

  #### Returns Promise<Cart>

### setShippingAddress

- setShippingAddress(cartId: string, cartVersion: number, address: Address, token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:181

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### address: Address

  - ##### token: string

  #### Returns Promise<Cart>

### setShippingMethod

- setShippingMethod(cartId: string, cartVersion: number, shippingMethodId: string, token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:215

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### shippingMethodId: string

  - ##### token: string

  #### Returns Promise<Cart>

### updateByActions

- updateByActions(cartId: string, cartVersion: number, actions: ICartAction | ICartAction[], token: string): Promise<Cart>

- - Defined in src/commerce/services/carts.ts:99

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### actions: ICartAction | ICartAction[]

  - ##### token: string

  #### Returns Promise<Cart>

Generated using TypeDoc